/*
MACINTOSH:
compile:  javac -classpath .:KarelJRobot.jar kareltherobot/*.java
run:   java -cp .:KarelJRobot.jar kareltherobot.Application

WINDOWS:
compile:  javac -classpath .;KarelJRobot.jar kareltherobot/*.java
run:  java -cp .;KarelJRobot.jar kareltherobot.Application
*/

/*
This program demonstrates some issues with calling methods and multiple constructors.

written by Scott McElfresh
*/
package kareltherobot;
import javax.swing.JOptionPane;

public class Application implements Directions
{	
   public static void main(String [] args)
	{	
		World.readWorld("piles.txt");
		World.setVisible(true);
		World.setTrace(false);
		World.setDelay(5);  
		
		// All piles are assumed to be to the East and there are no walls blocking the robots path
		// All robots return to left wall.
		
		PileAdderRobot george = new PileAdderRobot(1,1,East, 1); 
		george.addToPile();  // add one beeper to the pile 
		george.turnOff();
						
		PileAdderRobot joanne = new PileAdderRobot(2,1,East,10);  //10 beepers in bag
		joanne.addToPile();  // add one beeper to the pile 
		joanne.turnOff();

		   
		//********   						
		PileAdderRobot mary = new PileAdderRobot(3,1,East,10);  
		mary.addAllToPile();  // add ALL of its beepers to the pile 
		mary.turnOff();
		
		PileAdderRobot joe = new PileAdderRobot(4,1,East,15);  		
		joe.addAllToPile();  // add ALL of its beepers to the pile 
		joe.turnOff();


		//*******
		/*
		PileAdderRobot huey = new PileAdderRobot(5,1,10);  // st 5, ave 1, 10 beepers, facing East
		huey.addAllToPile();
		huey.turnOff();
		
		huey = new PileAdderRobot(6,1,4);
		huey.addAllToPile();
		huey.turnOff();
		*/
		
		//*******
		/*
		PileAdderRobot dewey = new PileAdderRobot(7,1,15);
		dewey.addToPile(6);
		dewey.turnOff();
		
		PileAdderRobot louie = new PileAdderRobot(8,1,15);
		louie.addToPile(3);
		louie.turnOff();
		*/
		
		
		//*******
       /*
		PileAdderRobot larry = new PileAdderRobot(9,1,East,10);  
				
		larry.addNoMoreThan5();  // add 5 beepers to the pile to the east, UNLESS it does not have enough
							// beepers to do so, in which case, it should add all beepers it has.
							
		larry.turnOff();
		
		
		PileAdderRobot moe = new PileAdderRobot(10,1,East,2);  
				
		moe.addNoMoreThan5();  // add 5 beepers to the pile to the east, UNLESS it does not have enough
							// beepers to do so, in which case, it should add all beepers it has.
							
		moe.turnOff();
		
		
		PileAdderRobot curly = new PileAdderRobot(10,1,East,5);   // same street as moe
				
		curly.addNoMoreThan5();  // add 5 beepers to the pile to the east, UNLESS it does not have enough
							// beepers to do so, in which case, it should add all beepers it has.
							
		curly.turnOff();
        */
	}

}